Package com.avaya.clientservices.contact.fields

## Class EditableContactMultiValueField<T extends ContactField>

- java.lang.Object
- - com.avaya.clientservices.contact.fields.ContactField
  - - com.avaya.clientservices.contact.fields.ContactMultiValueField<T>
    - - com.avaya.clientservices.contact.fields.EditableContactMultiValueField<T>

- All Implemented Interfaces:
    `BaseContactField`, `BaseContactMultiValueField<T>`
  Direct Known Subclasses:
    `EditableContactEmailAddressFieldList`, `EditableContactIMAddressFieldList`, `EditableContactPhoneFieldList`, `EditableContactStringFieldList`

      public class EditableContactMultiValueField<T extends ContactField>
      extends ContactMultiValueField<T>
      implements BaseContactMultiValueField<T>

  Interface for multi-value contact field. It must be defined in order to provide information about capabilities when there aren't any items.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setValues​(java.util.List<T> values)` | Sets or updates the field values.

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactMultiValueField

      `getValues`

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactField

      `equals, getCapability, getContactProviderSourceType, hashCode, setContactProviderSourceType, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.avaya.clientservices.contact.fields.BaseContactField

      `getCapability, getContactProviderSourceType`

    - ### Methods inherited from interface com.avaya.clientservices.contact.fields.BaseContactMultiValueField

      `getValues`

- - ### Method Detail

    - #### setValues

          public void setValues​(java.util.List<T> values)

      Sets or updates the field values.
      Parameters:
        `values` - The new field values.